Package twisted :: Package web :: Module util :: Class ParentRedirect |
[frames | no frames]

## Class ParentRedirect

    Resource --+
               |
              ParentRedirect

I redirect to URLPath.here().

Method Summary
| `getChild(self, request)`
| ``render`(self, request)` Render a given resource.
Inherited from Resource
| ``__init__`(self)` Initialize.
| ``delEntity`(self, name)`
| ``getChildForRequest`(self, request)`
| ``getChildWithDefault`(self, path, request)` Retrieve a static or dynamically generated child resource from me.
| ``getDynamicEntity`(self, name, request)`
| ``getStaticEntity`(self, name)`
| ``listDynamicEntities`(self, request)`
| ``listDynamicNames`(self)`
| ``listEntities`(self)`
| ``listNames`(self)`
| ``listStaticEntities`(self)`
| ``listStaticNames`(self)`
| ``putChild`(self, path, child)` Register a static child.
| ``reallyPutEntity`(self, name, entity)`

Class Variable Summary
`int` | `isLeaf` = 1
Inherited from Resource
`tuple` | `__implements__` = `(<class twisted.web.resource.IResource ...`
`NoneType` | `server` = None

Method Details

### render(self, request) Render a given resource. This must be implemented in all subclasses of Resource. The return value of this method will be the rendered page, unless the return value is twisted.web.server.NOT_DONE_YET, in which case it is this class's responsibility to write the results to request.write(data), then call request.finish(). Overrides: `twisted.web.resource.Resource.render` (inherited documentation)

Class Variable Details

    ### isLeaf Type: `int` Value:
        1

Generated by Epydoc 2.0 on Sat Oct 25 00:55:09 2003 | http://epydoc.sf.net